%{?filter_setup:
%filter_from_requires /perl(Unicode::LineBreak::Constants)/d
%filter_from_provides /^perl(Unicode::LineBreak)$/d
}
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}perl\\(Unicode::LineBreak::Constants\\)
%global __requires_exclude %__requires_exclude|^perl\\(constant\\)\s*$
%global __requires_exclude %__requires_exclude|^perl\\(Encode\\)\s*$
%global __requires_exclude %__requires_exclude|^perl\\(MIME::Charset\\)\s*$
%global __provides_exclude %{?__provides_exclude:%__provides_exclude|}^perl\\(Unicode::LineBreak\\)$

Summary:       UAX #14 Unicode Line Breaking Algorithm
Name:          perl-Unicode-LineBreak
Version:       2019.001
Release:       5%{?dist}
License:       GPL+ or Artistic
URL:           https://metacpan.org/release/Unicode-LineBreak
Source0:       https://cpan.metacpan.org/authors/id/N/NE/NEZUMI/Unicode-LineBreak-%{version}.tar.gz

BuildRequires: gcc libthai-devel coreutils findutils make pkgconfig sed sombok-devel perl-devel
BuildRequires: perl-interpreter perl(:VERSION) perl(Config) perl(ExtUtils::MakeMaker) perl(strict)
BuildRequires: perl(Carp) perl(constant) perl(Encode) perl(Exporter) perl-generators
BuildRequires: perl(MIME::Charset) perl(overload) perl(vars) perl(warnings) perl(XSLoader)
BuildRequires: perl(FindBin) perl(lib) perl(Test::More) perl(Test::Pod)
Requires:      perl(Encode) perl(MIME::Charset)
%{?perl_default_filter}

%description
Unicode::LineBreak performs Line Breaking Algorithm described in Unicode Standards Annex #14
[UAX #14]. East_Asian_Width informative properties defined by Annex #11 [UAX #11] will be concerned to
determine breaking positions.

%prep
%autosetup -n Unicode-LineBreak-%{version}
rm -rf sombok
sed -i -e '/^sombok/d' MANIFEST

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS"
%make_build

%install
make pure_install DESTDIR=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -type f -name '*.bs' -size 0 -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

mkdir -p %{buildroot}%{_mandir}/ja/man3
for mod in Text::LineFold Unicode::GCString Unicode::LineBreak; do
  mv %{buildroot}%{_mandir}/man3/POD2::JA::$mod.3pm \
     %{buildroot}%{_mandir}/ja/man3/$mod.3pm
done

%{_fixperms} %{buildroot}/*

%check
make test

%files
%license ARTISTIC GPL
%doc Changes Changes.REL1 README Todo.REL1
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/Unicode*
%{perl_vendorarch}/Text
%{perl_vendorarch}/POD2
%{_mandir}/man3/*
%{_mandir}/ja/man3/*

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2019.001-5
- Rebuilt for OpenCloudOS Stream 23.09

* Thu Aug 17 2023 Xiaojie Chen <jackxjchen@tencent.com> - 2019.001-4
- Remove perl(:MODULE_COMPAT) which will be generated by perl-generators >= 1.15

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2019.001-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2019.001-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Feb 15 2023 Shuo Wang <abushwang@tencent.com> - 2019.001-1
- initial build
